cURL
curl --request POST \
--url https://htmldocs.com/api/documents/{documentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"props": {},
"format": "pdf",
"size": "<string>"
}
'import requests
url = "https://htmldocs.com/api/documents/{documentId}"
payload = {
"props": {},
"format": "pdf",
"size": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({props: {}, format: 'pdf', size: '<string>'})
};
fetch('https://htmldocs.com/api/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API Documentation
Generate Document
Generates a PDF document from a published document template.
POST
/
api
/
documents
/
{documentId}
cURL
This endpoint is for generating a document based on a template you’ve published to a team. To publish a document, see the publish command.
You can find the ids of your published documents in the dashboard.
Authorizations
API key for authentication. Use format: Bearer
Path Parameters
UUID or custom ID of the document template
Body
application/json
Props to pass to the document component
Response format. pdf returns a binary PDF file, base64 returns the PDF encoded as base64 in JSON, json returns a URL to download the PDF. Defaults to pdf
Available options:
pdf, base64, json Page size (A3, A4, A5, letter, legal, or custom size like '8.5in 11in')
Available options:
portrait, landscape Response
Generated document in requested format
Binary PDF file (when format=pdf)